package cn.com.ty.lift.business.emergency.mapper;

import cn.com.ty.lift.business.emergency.dto.RepairCondition;
import cn.com.ty.lift.business.emergency.entity.EmergencyRepair;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 临修记录 Mapper 接口
 * </p>
 *
 * @author wcz
 * @since 2019-12-04
 */
public interface EmergencyRepairMapper extends BaseMapper<EmergencyRepair> {

    IPage<EmergencyRepair> listByCondition(IPage<EmergencyRepair> page, @Param("condition") RepairCondition condition);
}
