package cn.com.ty.lift.enterprise.settings.controller;


import cn.com.ty.lift.enterprise.settings.dao.entity.model.MtCompanyRequest;
import cn.com.ty.lift.enterprise.settings.service.IMaintenanceCompanyService;
import cn.com.xwy.boot.web.dto.RestResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 维保公司 前端控制器
 * </p>
 *
 * @author huangy
 * @since 2019-12-09
 */
@RestController
@RequestMapping("/mt-company")
public class MaintenanceCompanyController {

    @Autowired
    private IMaintenanceCompanyService maintenanceCompanyService;

    /**
     * @description 获取公司列表
     * @date 2019-12-11 11:01
     * @param mtCompanyRequest 请求类
     * @return
     */
    @RequestMapping("/list")
    @ResponseBody
    public RestResponse list(MtCompanyRequest mtCompanyRequest){
        return maintenanceCompanyService.list(mtCompanyRequest);
    }
}
