package cn.com.ty.lift.enterprise.common;

import cn.com.ty.lift.common.constants.ApiConstants;
import cn.com.xwy.boot.web.dto.RestResponse;

/**
 * @author wcz
 * @date 2019/12/5
 * @description
 */
public class RestResult {

    public static final String MSG_ERR_PARAM = "缺少参数或参数有误";
    public static final String MSG_ERR_EXCEPTION = "操作发生异常";

    public static final String MSG_OK = "操作成功";

    public static RestResponse err(String msg){
        return RestResponse.error(ApiConstants.RESULT_ERROR,msg);
    }

    public static RestResponse errParam(){
        return RestResponse.error(ApiConstants.RESULT_ERROR,MSG_ERR_PARAM);
    }

    public static RestResponse errException(){
        return RestResponse.error(ApiConstants.RESULT_ERROR,MSG_ERR_EXCEPTION);
    }

    public static RestResponse okData(Object data){
        return RestResponse.ok(data,ApiConstants.RESULT_SUCCESS,MSG_OK);
    }

    public static RestResponse okNoData(){
        return RestResponse.ok(null,ApiConstants.RESULT_NO_DATA,MSG_OK);
    }
}
